@if (componentData$ | async; as componentData) {
  @if ($authenticatedUser(); as user) {
    <div class="full-width full-height" sqtmCoreAnchorResize>
      <div
        class="full-width full-height p-r-15"
        style="overflow-y: auto"
        sqtmCoreAnchorScroll
      >
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'information'"
            [sqtmCoreAnchorCollapsePanel]="'information'"
            [nzHeader]="informationTitle"
          >
            <ng-template #informationTitle>
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.generic.label.information.plural' | translate }}
              </div>
            </ng-template>
            <sqtm-app-project-information-panel
              [adminProjectViewComponentData]="componentData"
            >
            </sqtm-app-project-information-panel>
          </nz-collapse-panel>
        </nz-collapse>
        @if (projectViewService.isProjectTemplate$ | async) {
          <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
            <nz-collapse-panel
              [sqtmCoreAnchorPanel]="'projectAssociatedToTemplate'"
              [sqtmCoreAnchorCollapsePanel]="'projectAssociatedToTemplate'"
              [nzHeader]="projectAssociatedToTemplateTitle"
            >
              <ng-template #projectAssociatedToTemplateTitle>
                <div class="entity-view-collapse-panel-title">
                  {{
                    'sqtm-core.project-associated-to-template.title' | translate
                  }}
                </div>
              </ng-template>
              <sqtm-app-project-associated> </sqtm-app-project-associated>
            </nz-collapse-panel>
          </nz-collapse>
        }
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'bugtracker'"
            [sqtmCoreAnchorCollapsePanel]="'bugtracker'"
            [nzHeader]="bugtrackerTitle"
          >
            <ng-template #bugtrackerTitle>
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.entity.bugtracker.label.singular' | translate }}
              </div>
            </ng-template>
            <sqtm-app-project-bugtracker-panel
              [adminProjectViewComponentData]="componentData"
            >
            </sqtm-app-project-bugtracker-panel>
          </nz-collapse-panel>
        </nz-collapse>
        @if ($isUltimate()) {
          <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
            <nz-collapse-panel
              [sqtmCoreAnchorPanel]="'aiServer'"
              [sqtmCoreAnchorCollapsePanel]="'aiServer'"
              [nzHeader]="aiServerTitle"
            >
              <ng-template #aiServerTitle>
                <div class="entity-view-collapse-panel-title">
                  {{ 'sqtm-core.entity.ai-server.label' | translate }}
                </div>
              </ng-template>
              <sqtm-app-project-ai-server-panel
                [adminProjectViewComponentData]="componentData"
              >
              </sqtm-app-project-ai-server-panel>
            </nz-collapse-panel>
          </nz-collapse>
        }
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'permissions'"
            [sqtmCoreAnchorCollapsePanel]="'permissions'"
            [nzHeader]="permissionsTitle"
            [nzExtra]="permissionGridButtons"
          >
            <ng-template #permissionsTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.entity.project.authorizations.label.plural'
                    | translate
                }}
              </div>
            </ng-template>
            <sqtm-app-project-permissions-panel>
            </sqtm-app-project-permissions-panel>
          </nz-collapse-panel>
        </nz-collapse>
        <ng-template #permissionGridButtons>
          @if (
            isAdminOrClearanceManager(
              user.admin,
              componentData.project.permissions
            )
          ) {
            <div class="admin-view-panel-buttons">
              <a
                nz-dropdown
                [attr.data-test-button-id]="'add-permission'"
                (click)="openAddPermissionDropdownMenu($event)"
                [nzDropdownMenu]="permissionMenu"
              >
                <i
                  nz-icon
                  nzType="sqtm-core-generic:add"
                  nzTheme="outline"
                  class="current-workspace-button action-icon-size"
                >
                </i>
              </a>
              <nz-dropdown-menu #permissionMenu="nzDropdownMenu">
                <ul nz-menu [attr.data-test-menu-id]="'permission-menu'">
                  <li
                    nz-menu-item
                    [attr.data-test-menu-item-id]="'add-user-permission'"
                    (click)="addUserPermission($event)"
                  >
                    {{
                      'sqtm-core.administration-workspace.views.project.permissions.user.add-users-permissions'
                        | translate
                    }}
                  </li>
                  <li
                    nz-menu-item
                    [attr.data-test-menu-item-id]="'add-team-permission'"
                    (click)="addTeamPermission($event)"
                  >
                    {{
                      'sqtm-core.administration-workspace.views.project.permissions.team.add-teams-permissions'
                        | translate
                    }}
                  </li>
                </ul>
              </nz-dropdown-menu>
              <div (click)="stopPropagation($event)">
                <sqtm-core-toggle-icon
                  [active]="permissionGrid.hasSelectedRows$ | async"
                  (clickedInActiveMode)="deletePermissions($event)"
                  [attr.data-test-button-id]="'remove-permissions'"
                >
                  <i
                    nz-icon
                    nzType="sqtm-core-generic:unlink"
                    nzTheme="outline"
                    class="action-icon-size"
                    nz-tooltip
                    nzTooltipPlacement="topRight"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.delete' | translate
                    "
                  >
                  </i>
                </sqtm-core-toggle-icon>
              </div>
            </div>
          }
        </ng-template>
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'execution'"
            [sqtmCoreAnchorCollapsePanel]="'execution'"
            [nzHeader]="executionTitle"
          >
            <ng-template #executionTitle>
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.entity.execution.label.singular' | translate }}
              </div>
            </ng-template>
            <sqtm-app-project-execution-panel
              [adminProjectViewComponentData]="componentData"
            ></sqtm-app-project-execution-panel>
          </nz-collapse-panel>
        </nz-collapse>
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'automation'"
            [sqtmCoreAnchorCollapsePanel]="'automation'"
            sqtmCoreAnchorLastPanel
            [nzHeader]="automationTitle"
          >
            <ng-template #automationTitle>
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.entity.automation.label.singular' | translate }}
              </div>
            </ng-template>
            <sqtm-app-project-automation-panel>
            </sqtm-app-project-automation-panel>
          </nz-collapse-panel>
        </nz-collapse>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </div>
    </div>
  }
}
